GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Slots | Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::GnuPGControllerDialog Class Reference
Inheritance diagram for GpgFrontend::UI::GnuPGControllerDialog:
Collaboration diagram for GpgFrontend::UI::GnuPGControllerDialog:

## Public Slots
void | SlotAccept ()

## Signals
void | SignalRestartNeeded (int)

## Public Member Functions
| GnuPGControllerDialog (QWidget *parent=nullptr)
| Construct a new General Tab object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots
void | slot_set_restart_needed (int)
void | slot_update_custom_key_database_path_label (int state)
void | slot_update_custom_gnupg_install_path_label (int state)

## Private Member Functions
int | get_restart_needed () const
| Get the Restart Needed object. More...
void | set_settings ()
void | apply_settings ()
bool | check_custom_gnupg_path (std::string)
bool | check_custom_gnupg_key_database_path (std::string)

## Private Attributes
std::shared_ptr< Ui_GnuPGControllerDialog > | ui_
int | restart_needed_ {0}

## Additional Inherited Members
Protected Member Functions inherited from GpgFrontend::UI::GeneralDialog
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Constructor & Destructor Documentation

## ◆ GnuPGControllerDialog()

GpgFrontend::UI::GnuPGControllerDialog::GnuPGControllerDialog | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new General Tab object.

Parameters

  parent |

References GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::GlobalSettingStation::GetUISettings(), SignalRestartNeeded(), and slot_set_restart_needed().

## Member Function Documentation

## ◆ get_restart_needed()

int GpgFrontend::UI::GnuPGControllerDialog::get_restart_needed | ( |  | ) | const
| private

Get the Restart Needed object.

Returns
  true
  false

## ◆ SignalRestartNeeded

void GpgFrontend::UI::GnuPGControllerDialog::SignalRestartNeeded | ( | int |  | ) |
| signal

Parameters

  needed |

Referenced by GnuPGControllerDialog().

## ◆ slot_set_restart_needed

void GpgFrontend::UI::GnuPGControllerDialog::slot_set_restart_needed | ( | int | mode | ) |
| private slot

Parameters

  needed |

Referenced by GnuPGControllerDialog().

The documentation for this class was generated from the following files:

- src/ui/dialog/gnupg/GnuPGControllerDialog.h
- src/ui/dialog/gnupg/GnuPGControllerDialog.cpp